'use strict';

const Fs = require('fs')
const Path = require('path')

module.exports = {
  load () {
  },

  unload () {
  },

  // register your ipc messages here
  messages: {
    'asset-db:assets-moved' (event, data) {
      data.forEach(d => {
        let path = d.destPath
        let content = Fs.readFileSync(path).toString()
        let extension = path.substring(path.lastIndexOf('.') + 1)
        let fileFullName = path.substring(path.lastIndexOf('\\') + 1)
        let fileName = fileFullName.substring(0, fileFullName.lastIndexOf('.')).replace(/-/g, '').replace(/\s+/g, '')
        if (extension !== 'ts') return
        let pattern = /export\sdefault\sclass\sNewClass\sextends\scc\.Component/
        let result = content.match(pattern)
        if (!result) return
        Fs.writeFileSync(path, content.replace(/NewClass/g, fileName))
      })
    },
  },
};